Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Chart.Axis-Title

Extends Tee.Annotation.
Text and formatting properties to display near axes
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
<inner> | Tee.Chart.Axis-Title(chart, transparent)

Fields borrowed from class Tee.Annotation:
  format, margins, position, transparent, visible
Fields borrowed from class Tee.Tool:
  active

Method Summary
Method Attributes | Method Name and Description
--- | ---
| drawIt(textAlign, x, y, rotation)

Methods borrowed from class Tee.Annotation:
  add, clicked, doDraw, doMouseMove, draw, forceDraw, mousemove, moveTo, resize, setChart, shouldDraw
Methods borrowed from class Tee.Tool:
  mousedown, mouseout

Class Detail
<inner> Tee.Chart.Axis-Title(chart, transparent)

Parameters:
{Tee.Chart} chart
  The chart object this axis title object belongs to.
{Boolean} transparent Optional, Default: true
  Determines if axis title will be displayed or not.

Method Detail
drawIt(textAlign, x, y, rotation)

Parameters:
textAlign
x
y
rotation

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)